// ClosedLoopTest.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <stdio.h>
#include <iostream>
#include <string>
#include <thread>
#include <conio.h>
#include "ClosedLoop.h"

long long firstDataIndex = -1;
long long lastDataIndex = -1;
void AcqCallBack(long long index, byte* data, int dataLength)
{
	if (firstDataIndex == -1)
		lastDataIndex = firstDataIndex = index;
	lastDataIndex = index;

	long long nCallbacks = lastDataIndex - firstDataIndex;
	if (nCallbacks % 200 == 0)
	{
		std::cout << "200 data chunk acquired; curr. data Index: " + std::to_string(index) + "\n";
		std::this_thread::sleep_for(std::chrono::milliseconds(200));
	}
}

int _tmain(int argc, _TCHAR* argv[])
{	
	std::cout << "Press 'Return' to Subscribe and afterwards again 'Return' to Unsubscribe\n";
	std::cin.get();

	callback cb = &AcqCallBack;
	if (!Subscribe(cb))
	{
		std::cout << "Error. Exiting...\n";
		std::this_thread::sleep_for(std::chrono::milliseconds(1000));
		return -1;
	}

	std::cin.get();
	UnSubscribe();

	return 0;
}



